Decorative flat cover that hides the seam down the middle
This commit is contained in:
parent
b71ed1d062
commit
c9e36a5a08
@ -2,7 +2,7 @@ import cadquery as cq
|
||||
from cadquery import exporters
|
||||
|
||||
from modelo import mounting_pillar_positions, shell_t, width
|
||||
from utils import hex_vents, punch_hole
|
||||
from utils import hex_vents, punch_hole, extrude_shape2
|
||||
|
||||
# Dimensions for countersunk M4 screws
|
||||
m4_top = 9
|
||||
@ -66,10 +66,40 @@ def model():
|
||||
return model
|
||||
|
||||
|
||||
def decorative_cover():
|
||||
model = cq.Workplane("XY").box(10, height, 1).edges("|Z").fillet(1)
|
||||
vent = hex_vents(size=6, width=width * 0.9, height=height * 0.9)[0]
|
||||
|
||||
model = extrude_shape2(
|
||||
model=model,
|
||||
face=">Z",
|
||||
w=width,
|
||||
h=height,
|
||||
x_offset=0.05 * width,
|
||||
y_offset=0.05 * height,
|
||||
hole=vent,
|
||||
depth=-1,
|
||||
)
|
||||
model = extrude_shape2(
|
||||
model=model,
|
||||
face=">Z",
|
||||
w=width,
|
||||
h=height,
|
||||
x_offset=0.05 * width,
|
||||
y_offset=0.05 * height,
|
||||
hole=vent,
|
||||
depth=3,
|
||||
)
|
||||
return model
|
||||
|
||||
|
||||
if __name__ == "__main__":
|
||||
model = model()
|
||||
exporters.export(model, "lid.stl")
|
||||
|
||||
cover = decorative_cover()
|
||||
exporters.export(cover, "lid_cover.stl")
|
||||
|
||||
exporters.export(
|
||||
model,
|
||||
"lid.svg",
|
||||
|
BIN
notebook_nueva/lid_cover.stl
Normal file
BIN
notebook_nueva/lid_cover.stl
Normal file
Binary file not shown.
Loading…
Reference in New Issue
Block a user